package com.ssj.service.kmt.service;

import com.ssj.bean.kmt.kmt.domain.KmtExampaperDetail;
import com.ssj.bean.kmt.kmtsys.model.TreeDataModel;
import com.ssj.framework.core.common.service.BaseService;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;





public interface KmtExampaperDetailService extends BaseService<KmtExampaperDetail, String> {
	
	//通过试卷id得到试卷的明细列表
	public List<KmtExampaperDetail> findKmtExampaperDetails(String areaId);
	
	public Integer updateSortNo(String id, int sortNo);
	
	public void changeSubCount(String id, boolean increase);
	
	public List<KmtExampaperDetail>  getPidAndCodes(String pid, String areaId);
	 
	public Page<KmtExampaperDetail>  findByPage(Map<String, Object> params, Pageable sp);
	 
	public List<KmtExampaperDetail> findKmtExampaperDetailsByQuId(String areaId, String quId);
	
	//按结构查出一整个试卷
	public List<TreeDataModel> findTreeDataModels(String areaId);
	
}
